// -*- mode:c++ -*-
//
// Header file AddressHeap.hh
//
// Copyright (c) 2002 Raoul M. Gough
//
// History
// =======
// 2002/ 9/ 2	rmg	File creation
//
// $Id: AddressHeap.hh,v 1.1 2002/09/02 16:34:49 raoul Exp $
//

#ifndef AddressHeap_rmg_20020902_included
#define AddressHeap_rmg_20020902_included

#include <vector>
#include "PackageGroup.hh"
#include "AddressInfo.hh"
#include "SpanningTree.hh"
#include "StaticBoard.hh"

typedef std::vector<AddressInfo> HeapType;

void resetHeap (HeapType &
		, AddressSet const &
		, SpanningTree const &
		, StaticBoard const &
		, int &capacity);

void recalcHeap (HeapType &);

void resetCapacityRef (HeapType &, int &); // Then call recalcHeap
void resetDistance (HeapType &, SpanningTree const &); // Then call recalcHeap

#endif // AddressHeap_rmg_20020902_included
