// -*- mode:c++ -*-
//
// Module LogStream.cc
//
// Copyright (c) 2002 Raoul M. Gough
//
// History
// =======
// 2002/ 8/31	rmg	File creation
//
// $Id: LogStream.cc,v 1.3 2002/09/02 10:55:30 raoul Exp $
//

#include "LogStream.hh"

namespace
{
  LogStream gLogStream (0);
  LogStream gDebugStream (0);
  LogStream gCommStream (0);
}

LogStream const &logStream () { return gLogStream; }
void logStream (std::ostream *ptr) { gLogStream.mStrmPtr = ptr; }

LogStream const &debugStream () { return gDebugStream; }
void debugStream (std::ostream *ptr) { gDebugStream.mStrmPtr = ptr; }

LogStream const &commStream () { return gCommStream; }
void commStream (std::ostream *ptr) { gCommStream.mStrmPtr = ptr; }
