
depend: depend.mk ;

clean: default_clean .local_clean

default_clean:
	-rm *.exe *.o *.d depend.mk *.tmp

.local_clean:

#
# Use the magic "-" prefix on the dependency generator to ignore errors
# and combine whatever dependencies were generated. This prevents repeat
# rebuilding of all dependencies when one file has errors
#
depend.tmp: *.cc
	-$(CXX) $(CXXFLAGS) -c $?
	touch depend.tmp

depend.mk: depend.tmp *.d
	cat *.d >depend.mk

include depend.mk

