// -*- mode:c++ -*-
//
// Header file RobotInfo.hh
//
// Copyright (c) 2002 Raoul M. Gough
//
// History
// =======
// 2002/ 8/31	rmg	File creation
//
// $Id: RobotInfo.hh,v 1.2 2002/08/31 16:31:15 raoul Exp $
//

#ifndef RobotInfo_rmg_20020831_included
#define RobotInfo_rmg_20020831_included

#include <iosfwd>

struct RobotInfo
{
  int mId;
  int mCapacity;
  int mMoney;
};

std::istream &operator>> (std::istream &, RobotInfo &);
std::ostream &operator<< (std::ostream &, RobotInfo const &);

#endif // RobotInfo_rmg_20020831_included
