// -*- mode:c++ -*-
//
// Header file Location.hh
//
// Copyright (c) 2002 Raoul M. Gough
//
// History
// =======
// 2002/ 8/31	rmg	File creation
//
// $Id: Location.hh,v 1.1 2002/08/31 15:01:32 raoul Exp $
//

#ifndef Location_rmg_20020831_included
#define Location_rmg_20020831_included

#include <utility>
#include <iosfwd>

typedef std::pair<int, int> Location;

std::istream &operator>> (std::istream &, Location &);
std::ostream &operator<< (std::ostream &, Location const &);

#endif // Location_rmg_20020831_included
