// -*- mode:c++ -*-
//
// Module RobotInfo.cc
//
// Copyright (c) 2002 Raoul M. Gough
//
// History
// =======
// 2002/ 8/31	rmg	File creation
//
// $Id: RobotInfo.cc,v 1.1 2002/08/31 12:03:52 raoul Exp $
//

#include "RobotInfo.hh"
#include <iostream>

/////////////////////////////////////////////////////////////////////////////
// Extractor
/////////////////////////////////////////////////////////////////////////////

std::istream &operator>> (std::istream &strm, RobotInfo &rInfo)
{
  strm
    >> rInfo.mId
    >> rInfo.mCapacity
    >> rInfo.mMoney;

  return strm;
}

/////////////////////////////////////////////////////////////////////////////
// Inserter
/////////////////////////////////////////////////////////////////////////////

std::ostream &operator<< (std::ostream &strm, RobotInfo const &rInfo)
{
  strm
    << "Robot " << rInfo.mId
    << " capacity " << rInfo.mCapacity
    << " money " <<rInfo.mMoney;

  return strm;
}

