// -*- mode:c++ -*-
//
// Header file ServerConnection.hh
//
// Copyright (c) 2002 Raoul M. Gough
//
// History
// =======
// 2002/ 8/31	rmg	File creation
//
// $Id: ServerConnection.hh,v 1.1 2002/08/31 16:30:48 raoul Exp $
//

#ifndef ServerConnection_rmg_20020831_included
#define ServerConnection_rmg_20020831_included

#include <iosfwd>

namespace boost
{
  class fdostream;
  class fdistream;
}

class ServerConnection
{
  int mSocketId;
  boost::fdostream *mOutPtr;
  boost::fdistream *mInPtr;

public:
  ServerConnection (int argc, char *argv[]);
  ~ServerConnection ();

  std::istream *inPtr() const;
  std::ostream *outPtr() const;
};

#endif // ServerConnection_rmg_20020831_included
